Bug 1158258 - SELinux is preventing /usr/bin/python2.7 from 'ioctl' accesses on the unix_stream_socket unix_stream_socket.
Summary: SELinux is preventing /usr/bin/python2.7 from 'ioctl' accesses on the unix_st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ac1457be97887788e476c3e0e2a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-29 01:03 UTC by bodhi.zazen
Modified: 2015-01-30 23:54 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:54:27 UTC
Type: ---


Attachments (Terms of Use)

Description bodhi.zazen 2014-10-29 01:03:17 UTC
Description of problem:
Error logging in as user_u
SELinux is preventing /usr/bin/python2.7 from 'ioctl' accesses on the unix_stream_socket unix_stream_socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that python2.7 should be allowed ioctl access on the unix_stream_socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sealert /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                user_u:user_r:user_t:s0
Target Context                user_u:user_r:user_dbusd_t:s0
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        sealert
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.8-4.1.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-85.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.17.1-302.fc21.x86_64 #1 SMP Fri
                              Oct 17 20:05:46 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-10-28 18:51:05 MDT
Last Seen                     2014-10-28 18:51:05 MDT
Local ID                      a7bd450d-0312-448c-8e43-ac1863427e37

Raw Audit Messages
type=AVC msg=audit(1414543865.902:547): avc:  denied  { ioctl } for  pid=3666 comm="sealert" path="socket:[46009]" dev="sockfs" ino=46009 scontext=user_u:user_r:user_t:s0 tcontext=user_u:user_r:user_dbusd_t:s0 tclass=unix_stream_socket permissive=1


type=SYSCALL msg=audit(1414543865.902:547): arch=x86_64 syscall=ioctl success=no exit=ENOTTY a0=1 a1=5401 a2=7fff8e5cdc30 a3=7f8ff0828fe0 items=0 ppid=3665 pid=3666 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=7 comm=sealert exe=/usr/bin/python2.7 subj=user_u:user_r:user_t:s0 key=(null)

Hash: sealert,user_t,user_dbusd_t,unix_stream_socket,ioctl

Version-Release number of selected component:
selinux-policy-3.13.1-85.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.1-302.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2015-01-02 13:38:58 UTC
Looks like this is allowed in the latest selinux policy.

selinux-policy-3.13.1-99.fc21

Comment 2 Fedora Update System 2015-01-27 16:49:02 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 3 Fedora Update System 2015-01-30 04:31:58 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-01-30 23:54:27 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.